summaryrefslogtreecommitdiff
path: root/hack
diff options
context:
space:
mode:
authorjannfis <jann@mistrust.net>2022-01-10 17:10:44 +0100
committerGitHub <noreply@github.com>2022-01-10 17:10:44 +0100
commitbf79b9da9328e7f5d2b8254bd32c01637541243a (patch)
tree0413f488ca3da33d7abbc99c90ad6ade25535dfb /hack
parent111fbe013a036ee584d07b06e0b8154fd7c262b0 (diff)
chore: Multi-arch distribution (#339)
* chore: Multi-arch distribution Signed-off-by: jannfis <jann@mistrust.net> * Sync Signed-off-by: jannfis <jann@mistrust.net> * Update Makefile for multi-arch builds Signed-off-by: jannfis <jann@mistrust.net> * Add image workflow Signed-off-by: jannfis <jann@mistrust.net> * Fix repository name Signed-off-by: jannfis <jann@mistrust.net> * Fix script Signed-off-by: jannfis <jann@mistrust.net> * Fix Signed-off-by: jannfis <jann@mistrust.net> * Fix paths Signed-off-by: jannfis <jann@mistrust.net> * Fix script Signed-off-by: jannfis <jann@mistrust.net> * Disable spell checking for Makefile Signed-off-by: jannfis <jann@mistrust.net> * Always pull dependency images Signed-off-by: jannfis <jann@mistrust.net>
Diffstat (limited to 'hack')
-rwxr-xr-xhack/upload-multiarch-release-assets.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/hack/upload-multiarch-release-assets.sh b/hack/upload-multiarch-release-assets.sh
new file mode 100755
index 0000000..935543f
--- /dev/null
+++ b/hack/upload-multiarch-release-assets.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -eu
+set -o pipefail
+
+if ! test -f VERSION; then
+ echo "Error: VERSION file not found" >&2
+ exit 1
+fi
+
+TARGET_VERSION="v$(cat VERSION)"
+
+if ! test -d dist/release; then
+ echo "Error: dist/release directory does not exist" >&2
+ exit 1
+fi
+
+cd dist/release
+rm -f release-${TARGET_VERSION}.sha256 release-${TARGET_VERSION}.sha256.asc
+BINARIES=
+echo "*** Generating SHA256 checksums for binaries"
+for bin in argocd-image-updater-*; do
+ sha256sum $bin >> release-${TARGET_VERSION}.sha256
+ BINARIES="${BINARIES} $bin"
+done
+
+echo "*** Signing checksum file with GPG key"
+gpg -a --detach-sign release-${TARGET_VERSION}.sha256
+
+echo "*** Reverse verify signature"
+gpg -a --verify release-${TARGET_VERSION}.sha256.asc
+
+echo "*** Uploading release assets"
+for asset in ${BINARIES} ${TARGET_VERSION}.sha256 ${TARGET_VERSION}.sha256.asc; do
+ echo " -> $asset"
+ echo gh release upload ${TARGET_VERSION} ${asset}
+done
+
+echo "Done." \ No newline at end of file